# Unity generated folders
[Ll]ibrary/
[Tt]emp/
[Bb]uild/
[Bb]uilds/
Logs/
Obj/
MemoryCaptures/

# Visual Studio and Rider project files
.vscode/
.vs/
*.vsconfig
*.csproj
*.unityproj
*.sln
*.suo
*.user
*.userprefs

# OS/system files
.DS_Store
Thumbs.db

# Crash logs
*.stacktrace

# Unity cache
*.pidb
*.booproj

# Android/iOS native builds
.gradle/
*.apk
*.aab
*.keystore
*.xcworkspace
*.xcuserstate
*.xcuserdata
*.pbxuser

# Autogenerated assets
Assets/AssetStoreTools*

# Rider specific
.idea/
*.sln.iml
